### Method

# Ide DebuggerBreakpoints foreach

#### Declaration

    void
    ide_debugger_breakpoints_foreach (
      IdeDebuggerBreakpoints* self,
      GFunc func,
      gpointer user_data
    )

#### Description

Call `func` for every `IdeDebuggerBreakpoint` in `self`.

Available since: | 3.32

#### Parameters

`func` | `GFunc`
| A `GFunc` to call.
`user_data` | `gpointer`
| User data for `func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.